Get Request Log

Beta
GET/v1/core/request-logs/{id}

This endpoint is idempotent. Learn more

Returns a request log by ID.

idstring

Request log ID.

include[]optional arrayenumValues:accountactoractor.role

Sub-objects to expand in the response. When omitted, sub-objects are returned as null.

idstring

Request log ID.

objectstringenumValues:request_log

Resource type identifier.

methodstring

HTTP method.

hoststring

Request host.

pathstring

Request path.

normalized_routestring

Normalized route pattern.

query_jsonstringExpandablenullable

Query parameters as JSON.

status_codeinteger

HTTP status code.

latency_usinteger

Request latency in microseconds.

api_versionstringnullable

API version used.

identity_typestringnullable

Caller identity type.

client_ipstringnullable

Client IP address.

user_agentstringnullable

User agent string.

referrerstringnullable

Referrer header.

error_codestringnullable

API error code.

error_messagestringnullable

Error message.

occurred_atstring (date-time)

When the request occurred.

created_atstring (date-time)

When the log entry was created.

accountobjectExpandablenullable

Account targeted by the request.

idstring

Account ID.

objectstringenumValues:account

Resource type identifier.

namestring

Display name.

default_billing_addressobjectnullable

Default billing address.

Always returned as null in this endpoint.
default_shipping_addressobjectnullable

Default shipping address.

Always returned as null in this endpoint.
brandingobjectnullable

Branding configuration.

Always returned as null in this endpoint.
portalobjectnullable

Portal configuration.

Always returned as null in this endpoint.
created_atstring (date-time)

Creation timestamp.

updated_atstring (date-time)

Last updated timestamp.

actorobjectExpandablenullable

Actor details (user or API key).

idstring

Actor ID.

objectstringenumValues:actor

Resource type identifier.

typestringenumValues:userapi_keyagent

Actor type.

namestringnullable

Display name.

handlestringnullable

Human-readable handle (email for users, redacted value for API keys, slug for agents).

roleobjectExpandablenullable

Assigned role.

idstring

Role ID.

objectstringenumValues:role

Resource type identifier.

namestring

Display name.

typestringenumValues:adminuserscanner

Role type code.

ownerobjectnullable

Owner of this resource.

Always returned as null in this endpoint.
permissionsarray of stringExpandablenullable

Permissions in {domain}:{action} format.

created_atstring (date-time)

Creation timestamp.

updated_atstring (date-time)

Last updated timestamp.

idempotency_keystringnullable

User-provided idempotency key.

request_body_jsonstringExpandablenullable

Request body as JSON.

response_body_jsonstringExpandablenullable

Response body as JSON.

Responses

200

Successful response for Get Request Log